package net.wanji.utc.service.runninginfo;

import net.wanji.databus.po.SignalStatusLogPO;
import net.wanji.databus.vo.LightsStatusVO;
import net.wanji.utc.service.rpc.RpcService;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/01/11 17:32
 */
public interface WanJiCommonRunningStatusService extends RpcService {
    /**
     * 标准获取路口实时运行状态接口，包括告警数据
     * @param crossIdList
     * @return
     */
    List<SignalStatusLogPO> runningStatus(List<String> crossIdList);


    /**
     * 标准获取路口实时灯态接口
     * @param crossIdList
     * @return
     */
    List<LightsStatusVO> lightsStatus(List<String> crossIdList);
}
